/**
 * @since 1.0.0
 */
import type { DynamoDBClientConfig } from "@aws-sdk/client-dynamodb";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
declare const DynamoDBClientInstanceConfig_base: Context.TagClass<DynamoDBClientInstanceConfig, "@effect-aws/client-dynamodb/DynamoDBClientInstanceConfig", DynamoDBClientConfig>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class DynamoDBClientInstanceConfig extends DynamoDBClientInstanceConfig_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDefaultDynamoDBClientInstanceConfig: Effect.Effect<DynamoDBClientConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultDynamoDBClientConfigLayer: Layer.Layer<DynamoDBClientInstanceConfig, never, never>;
export {};
